import { type Base, genBase } from "./_base"

export interface McuOrder extends Base {
  encounter_id: number
  doctor_id: number
  status_code?: string
  specimenPickTime: string
  examinationDate: string
  number?: number
  temperature?: number
  mcuUrgencyLevel_code?: string
}

export function genMcuOrder(): McuOrder {
  return {
    ...genBase(),
    encounter_id: 0,
    doctor_id: 0,
    specimenPickTime: '',
    examinationDate: ''
  }
}

